Get Projects By Post
https://app.fossa.com/api/v2/projectsFetch the list of projects based on provided filters. This endpoint is functionally identical to `GET /api/v2/projects`, but it reads the filter, sort, and pagination options from the request body instead of the query string. Use it when filtering by a large number of `locators` that would exceed query-string length limits.
Request body · application/json
sortenumThe category to order the results by and sort direction.
title_asctitle_descissues-total_ascissues-total_desclatest-scan_asclatest-scan_desclast-analyzed_asclast-analyzed_descissues-licensing_ascissues-licensing_descissues-security_ascissues-security_descissues-quality_ascissues-quality_descpageintegerThe specific page of data to return.
countintegerThe number of items to return in each page of results.
titlestringFilter by project name.
typeenum[]Filter by project type.
isPublicbooleanFilter by project being public or private.
labelsstring[]Filter by project labels.
teamIdstring | number[]Filter by one or more team IDs. Providing "null" will return all unassigned projects.
latestScanintegerFilter by last policy scan within N days.
lastRevisionWithinintegerFilter by last revision analyzed within N days.
locatorsstring[]Filter by project locators (exact match).
urlstringFilter by a project's URL.
includeSharedProjectsbooleanInclude shared projects.
onlyIncludeSharedProjectsbooleanOnly show projects that have been shared with other organizations.
Responses
200OKtotalintegerprojectsobject[]403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/v2/projectscurl --request POST \ --url 'https://app.fossa.com/api/v2/projects' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "sort": "title_asc", "page": 1, "count": 20, "title": "string", "type": [ "container" ], "isPublic": true}'Real request. Mutating methods can change data.